pulse-client.conf(5)

NAME
pulse-client.conf - PulseAudio client configuration file

SYNOPSIS
~/.config/pulse/client.conf /home/arun/local/pulseaudio/etc/pulse/client.conf

DESCRIPTION
The PulseAudio client library reads configuration directives from a file ~/.config/pulse/client.conf on startup and when that file doesn't exist from /home/arun/local/pulseaudio/etc/pulse/client.conf. The configuration file is a simple collection of variable declarations. If the configuration file parser encounters either ; or # it ignores the rest of the line until its end. For the settings that take a boolean argument the values true, yes, on and 1 are equivalent, resp. false, no, off, 0.

DIRECTIVES

default-sink= The default sink to connect to. If specified overwrites the setting in the daemon. The environment variable $PULSE_SINK however takes precedence.

default-source= The default source to connect to. If specified overwrites the setting in the daemon. The environment variable $PULSE_SOURCE however takes precedence.

default-server= The default sever to connect to. The environment variable $PULSE_SERVER takes precedence.

autospawn= Autospawn a PulseAudio daemon when needed. Takes a boolean value, defaults to yes.

daemon-binary= Path to the PulseAudio daemon to run when autospawning. Defaults to a path configured at compile time.

extra-arguments= Extra arguments to pass to the PulseAudio daemon when autospawning. Defaults to --log-target=syslog

cookie-file= Specify the path to the PulseAudio authentication cookie. Defaults to ~/.config/pulse/cookie.

enable-shm= Enable data transfer via POSIX shared memory. Takes a boolean argument, defaults to yes.

shm-size-bytes= Sets the shared memory segment size for clients, in bytes. If left unspecified or is set to 0 it will default to some system-specific default, usually 64 MiB. Please note that usually there is no need to change this value, unless you are running an OS kernel that does not do memory overcommit.

auto-connect-localhost= Automatically try to connect to localhost via IP. Enabling this is a potential security hole since connections are only authenticated one-way and a rogue server might hence fool a client into sending it its private (e.g. VoIP call) data. This was enabled by default on PulseAudio version 0.9.21 and older. Defaults to no.

auto-connect-display= Automatically try to connect to the host X11's $DISPLAY variable is set to. The same security issues apply as to auto-connect-localhost=. Defaults to no.

AUTHORS
The PulseAudio Developers <pulseaudio-discuss (at) lists (dot) freedesktop (dot) org>; PulseAudio is available from http://pulseaudio.org/

SEE ALSO
pulse-daemon.conf(5), pulseaudio(1)